moodycamel::spsc_sema::LightweightSemaphore Class Reference

`#include <atomicops.h>`

## Public Types

typedef std::make_signed< std::size_t >::type | ssize_t

## Public Member Functions

| LightweightSemaphore (ssize_t initialCount=0)
bool | tryWait ()
void | wait ()
void | signal (ssize_t count=1)
ssize_t | availableApprox () const

## Member Typedef Documentation

## ssize_t

typedef std::make_signed<std::size_t>::type moodycamel::spsc_sema::LightweightSemaphore::ssize_t

## Constructor & Destructor Documentation

## LightweightSemaphore()

moodycamel::spsc_sema::LightweightSemaphore::LightweightSemaphore | ( | ssize_t | initialCount = 0 | ) |

inline

## Member Function Documentation

## availableApprox()

ssize_t moodycamel::spsc_sema::LightweightSemaphore::availableApprox | ( |  | ) | const

inline

## signal()

void moodycamel::spsc_sema::LightweightSemaphore::signal | ( | ssize_t | count = 1 | ) |

inline

## tryWait()

bool moodycamel::spsc_sema::LightweightSemaphore::tryWait | ( |  | ) |

inline

Referenced by wait().

## wait()

void moodycamel::spsc_sema::LightweightSemaphore::wait | ( |  | ) |

inline

References tryWait().

The documentation for this class was generated from the following file:

- atomicops.h